Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 211589 - app-accessibility/dasher-4.6.1 GCC 4.3 patch
Summary: app-accessibility/dasher-4.6.1 GCC 4.3 patch
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gnome Accessibility (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-02-27 05:04 UTC by Ryan Hill (RETIRED)
Modified: 2008-06-10 21:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dasher-4.6.1-gcc-4.3.patch (dasher-4.6.1-gcc-4.3.patch,8.13 KB, patch)
2008-02-27 05:06 UTC, Ryan Hill (RETIRED)
Details | Diff
Patch to compile dasher-4.7.3 with GCC4.3 (dasher-4.7.3.patch,1.02 KB, patch)
2008-06-06 19:16 UTC, Luigi 'Comio' Mantellini
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2008-02-27 05:04:23 UTC
dasher fails to build due to several missing includes for headers that were previously indirectly included:

CTWLanguageModel.cpp:458: error: 'strcpy' was not declared in this scope
CTWLanguageModel.cpp: In member function 'virtual bool Dasher::CCTWLanguageModel::ReadFromFile(std::string, std::string)':
CTWLanguageModel.cpp:504: error: 'strcmp' was not declared in this scope
CTWLanguageModel.cpp:535: error: 'strcmp' was not declared in this scope
make[4]: *** [CTWLanguageModel.o] Error 1

(etc.)
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2008-02-27 05:06:35 UTC
Created attachment 144717 [details, diff]
dasher-4.6.1-gcc-4.3.patch
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-03-30 17:57:08 UTC
did you submit this bug upstream as well ?
Comment 3 Luigi 'Comio' Mantellini 2008-04-06 12:33:48 UTC
This patch works fine on dasher 4.7.0. Anyway this problem should be resolved by upstream.

Thanks a lot,

luigi
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-04-13 11:00:10 UTC
that doesn't tell me if the patch was submitted...
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2008-04-21 01:18:00 UTC
yes, reported and fixed upstream.

https://bugzilla.gnome.org/show_bug.cgi?id=522121
Comment 6 Luigi 'Comio' Mantellini 2008-06-06 19:16:13 UTC
Created attachment 155743 [details, diff]
Patch to compile dasher-4.7.3 with GCC4.3

This patch permits to compile dasher-4.7.3 using GCC4.3
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2008-06-09 03:49:49 UTC
Applied to 4.7.3.
Comment 8 Luigi 'Comio' Mantellini 2008-06-10 21:01:51 UTC
(In reply to comment #7)
> Applied to 4.7.3.
> 

Thanks a lot

luigi